Data Structures | Defines | Functions

# crc64.c File Reference

`#include "wizard/studio.h"`
`#include "wizard/crc64.h"`
`#include "wizard/exception.h"`
`#include "wizard/exception-private.h"`
`#include "wizard/memory_.h"`

## Data Structures
struct | _CRC64Info
## Defines
#define | CRC64Blocksize 32
#define | CRC64Digestsize 8
## Functions
WizardExport CRC64Info * | AcquireCRC64Info (void)
WizardExport CRC64Info * | DestroyCRC64Info (CRC64Info *crc_info)
WizardExport void | FinalizeCRC64 (CRC64Info *crc_info)
WizardExport unsigned int | GetCRC64Blocksize (const CRC64Info *crc64_info)
WizardExport WizardSizeType | GetCRC64CyclicRedundancyCheck (const CRC64Info *crc64_info)
WizardExport const StringInfo * | GetCRC64Digest (const CRC64Info *crc64_info)
WizardExport unsigned int | GetCRC64Digestsize (const CRC64Info *crc64_info)
WizardExport void | InitializeCRC64 (CRC64Info *crc_info)
WizardExport void | UpdateCRC64 (CRC64Info *crc_info, const StringInfo *message)

## Define Documentation

#define CRC64Blocksize 32

#define CRC64Digestsize 8

Referenced by AcquireCRC64Info().

## Function Documentation

WizardExport CRC64Info* AcquireCRC64Info | ( | void |  | ) |

References AcquireQuantumMemory(), AcquireStringInfo(), AcquireWizardMemory(), _CRC64Info::blocksize, CRC64Digestsize, _CRC64Info::crc_xor, _CRC64Info::digest, _CRC64Info::digestsize, HashDomain, MemoryError, ResetWizardMemory(), _CRC64Info::signature, ThrowWizardFatalError, and _CRC64Info::timestamp.

Referenced by AcquireHashInfo(), and GetStringInfoCRC().

WizardExport CRC64Info* DestroyCRC64Info | ( | CRC64Info * | crc_info | ) |

References _CRC64Info::crc_xor, DestroyStringInfo(), _CRC64Info::digest, GetWizardModule, LogWizardEvent(), RelinquishWizardMemory(), _CRC64Info::signature, TraceEvent, and WizardSignature.

Referenced by DestroyHashInfo(), and GetStringInfoCRC().

WizardExport void FinalizeCRC64 | ( | CRC64Info * | crc_info | ) |

References _CRC64Info::crc, _CRC64Info::digest, GetStringInfoDatum(), GetWizardModule, LogWizardEvent(), _CRC64Info::signature, TraceEvent, and WizardSignature.

Referenced by FinalizeHash(), and GetStringInfoCRC().

WizardExport unsigned int GetCRC64Blocksize | ( | const CRC64Info * | crc64_info | ) |

References _CRC64Info::blocksize, CipherDomain, GetWizardModule, LogWizardEvent(), _CRC64Info::signature, TraceEvent, WizardAssert, and WizardSignature.

Referenced by GetHashBlocksize().

WizardExport WizardSizeType GetCRC64CyclicRedundancyCheck | ( | const CRC64Info * | crc64_info | ) |

References CipherDomain, _CRC64Info::crc, GetWizardModule, LogWizardEvent(), _CRC64Info::signature, TraceEvent, WizardAssert, and WizardSignature.

Referenced by GetStringInfoCRC().

WizardExport const StringInfo* GetCRC64Digest | ( | const CRC64Info * | crc64_info | ) |

References _CRC64Info::digest, GetWizardModule, HashDomain, LogWizardEvent(), _CRC64Info::signature, TraceEvent, WizardAssert, and WizardSignature.

Referenced by FinalizeHash().

WizardExport unsigned int GetCRC64Digestsize | ( | const CRC64Info * | crc64_info | ) |

References CipherDomain, _CRC64Info::digestsize, GetWizardModule, LogWizardEvent(), _CRC64Info::signature, TraceEvent, WizardAssert, and WizardSignature.

Referenced by AcquireHashInfo(), and GetHashDigestsize().

WizardExport void InitializeCRC64 | ( | CRC64Info * | crc_info | ) |

References _CRC64Info::crc, _CRC64Info::crc_xor, GetWizardModule, LogWizardEvent(), _CRC64Info::signature, TraceEvent, WizardSignature, and WizardULLConstant.

Referenced by GetStringInfoCRC(), and InitializeHash().

WizardExport void UpdateCRC64 | ( | CRC64Info * | crc_info,
|  | const StringInfo * | message |
| ) |  |  |

References _CRC64Info::crc, _CRC64Info::crc_xor, GetStringInfoDatum(), GetStringInfoLength(), GetWizardModule, LogWizardEvent(), _CRC64Info::signature, TraceEvent, and WizardSignature.

Referenced by GetStringInfoCRC(), and UpdateHash().